import { createAsyncThunk } from "@reduxjs/toolkit";
import axios from "axios";
import { LOADING_END, LOADING_START } from "../../../lib/redux/slices/appSlice";

export const poultryRequestIndexWeightService = createAsyncThunk(
  "POULTRY_REQUEST_INDEX_WEIGHT_SERVICE",
  async (d, { dispatch }) => {
    dispatch(LOADING_START());
    const { data, status } = await axios.get("/poultry_request_index_weight/");
    dispatch(LOADING_END());
    return { data, status };
  }
);
